%global momorel 3

Summary: uploader module for Apache
Name: mod_uploader
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: "zlib/libpng"
#http://www.opensource.org/licenses/zlib-license.php
Group: System Environment/Daemons
URL: http://acapulco.dyndns.org/mod_uploader/
Source0: http://downloads.sourceforge.jp/mod-uploader/16449/%{name}-%{version}.tgz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: httpd-devel >= 2.2.2
BuildPrereq: apr-devel
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildPrereq: ImageMagick >= 6.2.3
BuildPrereq: make
Requires: webserver

%description
The mod_uploader lets typical web uploader.

%prep
%setup -q

%configure --with-aprconf=%{_bindir}/apr-1-config
%build
make APXS=/usr/sbin/apxs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/httpd/modules
cp mod_uploader.so %{buildroot}%{_libdir}/httpd/modules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/httpd/modules/*.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-3m)
- rebuild against gcc43

* Thu May  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- rebuild against httpd-2.2.2

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-1m)
- initial import to momonga
